> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774829655.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue card token

> The endpoint issues a [card token](/glossary#card-token) for the specified card number.

**Request Headers:**
- `Authorization`: JWT token from the [Issue JWT token](/private/http-main-v4/issue-jwt-token) response field `data.token` (**Required**)
- `Content-Type`: `application/json` (**Required**)

Use the `data.token` value returned by [Issue JWT token](/private/http-main-v4/issue-jwt-token) as the `Authorization` header when calling this Fiat Gateway endpoint.

<Warning>
Rate limit: 1000 requests/10 sec.
</Warning>

<Note>
The API does not cache the response.
</Note>




## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/card-token
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/card-token:
    post:
      tags:
        - Deposit
      summary: Issue card token
      description: >
        The endpoint issues a [card token](/glossary#card-token) for the
        specified card number.


        **Request Headers:**

        - `Authorization`: JWT token from the [Issue JWT
        token](/private/http-main-v4/issue-jwt-token) response field
        `data.token` (**Required**)

        - `Content-Type`: `application/json` (**Required**)


        Use the `data.token` value returned by [Issue JWT
        token](/private/http-main-v4/issue-jwt-token) as the `Authorization`
        header when calling this Fiat Gateway endpoint.


        <Warning>

        Rate limit: 1000 requests/10 sec.

        </Warning>


        <Note>

        The API does not cache the response.

        </Note>
      operationId: issueCardToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cardNumber
              properties:
                cardNumber:
                  type: string
                  description: Target card number
                  example: '4111111111111111'
            example:
              cardNumber: '4111111111111111'
      responses:
        '201':
          description: Validation succeeded and card token is returned
        '401':
          description: Request authorization failed
        '422':
          description: |
            Inner validation failed

            Response error codes:
            - 1 - specified card number is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorInner'
              examples:
                invalidCardNumber:
                  summary: Invalid card number
                  value:
                    code: 1
                    message: Validation failed
                    errors:
                      cardNumber:
                        - The cardNumber field is invalid.
                tooManyAttempts:
                  summary: Too many attempts (throttling)
                  value:
                    message: Too Many Attempts.
                    code: 0
      servers:
        - url: https://fgw.whitebit.com
components:
  schemas:
    ErrorInner:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: API key authentication using signed requests

````